#include <iostream>
#include <unordered_map>
#include <set>
#include "DataType.h"
#include "AneuMeshLoader.h"

int main()
{
	MeshLoader* mesh_loader = new AneuMeshLoader;
	mesh_loader->LoadMesh("boundarycondition.aneu");

	std::vector<Node> nodes = mesh_loader->Get_node();
	std::vector<Finite_Element> finite_elements = mesh_loader->Get_finite_elems();
	std::vector<Boundary_Finite_Element> boundaries = mesh_loader->Get_boundary();


	std::vector<int> elems_by_ID = mesh_loader->Get_elems_by_ID(1, 2, 3);
	std::vector<int> elems_by_material = mesh_loader->Get_elems_by_material(1);
	std::vector<int> elems_by_edge = mesh_loader->Get_elems_by_edge(1, 2);

	std::set<int> nodes_by_surface = mesh_loader->Get_nodes_by_surface(1);

	std::vector<int> boundary_by_surface = mesh_loader->Get_boundary_by_surface(2);

	mesh_loader->Insert_new_nodes();

	auto adjacent_nodes = mesh_loader->Get_adjacent_nodes();


	delete mesh_loader;
	return 0;
}

